package com.fjhx.mes.entity.produce.vo;

import com.fjhx.mes.entity.produce.po.ProduceOrderDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 生产订单明细列表查询返回值实体
 *
 * @author
 * @since 2024-01-10
 */
@Getter
@Setter
public class ProduceOrderDetailVo extends ProduceOrderDetail {

	/**
	 * 产品名称
	 */
	private String productName;
	/**
	 * 产品编号
	 */
	private String productCode;
	/**
	 * 产品规格
	 */
	private String productSpec;
	/**
	 * 产品单位
	 */
	private String productUnit;

	/**
	 * 产品长
	 */
	private BigDecimal productLength;
	/**
	 * 产品宽
	 */
	private BigDecimal productWidth;
	/**
	 * 产品高
	 */
	private BigDecimal productHeight;


}
