package com.fjhx.mes.service.produce;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.produce.dto.ProduceOrderDto;
import com.fjhx.mes.entity.produce.dto.ProduceOrderSelectDto;
import com.fjhx.mes.entity.produce.po.ProduceOrder;
import com.fjhx.mes.entity.produce.vo.ProduceOrderVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 生产订单 服务类
 * </p>
 *
 * @author
 * @since 2024-01-10
 */
public interface ProduceOrderService extends BaseService<ProduceOrder> {

    /**
     * 生产订单分页
     */
    Page<ProduceOrderVo> getPage(ProduceOrderSelectDto dto);

    /**
     * 生产订单新增
     */
    void createOrder(ProduceOrderDto produceOrderDto);

}
