package com.fjhx.mes.entity.produce.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 生产订单明细
 * </p>
 *
 * @author
 * @since 2024-01-10
 */
@Getter
@Setter
@TableName("produce_order_detail")
public class ProduceOrderDetail extends BasePo {

    /**
     * 生产订单id
     */
    private Long produceOrderId;

    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 合同明细id
     */
    private Long contractDetailId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 订单数量
     */
    private BigDecimal quantity;

    /**
     * 完成数量
     */
    private BigDecimal finishQuantity;

    /**
     * 生产状态 0未开始 1进行中 2已完成
     */
    private Integer produceStatus;

    /**
     * 租户id
     */
    private String tenantId;

}
