package com.fjhx.mes.mapper.produce;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.produce.po.ProduceOrder;
import com.fjhx.mes.entity.produce.vo.ProduceOrderVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 生产订单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-10
 */
public interface ProduceOrderMapper extends BaseMapper<ProduceOrder> {

    /**
     * 生产订单分页
     */
    Page<ProduceOrderVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProduceOrder> wrapper);

}
